libmwaw::PrinterRect Struct Reference documentation

Public Member Functions | Protected Attributes | Friends | List of all members
libmwaw::PrinterRect Struct Reference

the AppleŠ rectangle : Rect More...

`#include <MWAWPrinter.hxx>`

## Public Member Functions
MWAWVec2i | size () const
| returns the size
MWAWVec2i | pos (int i) const
| returns the position ( 0: leftTop, 1:rightBottom )
bool | read (MWAWInputStreamPtr input, MWAWVec2i const &res)
| read value in a file, knowing the resolution

## Protected Attributes
MWAWVec2i | m_pos [2]
| the LT and RB positions

## Friends
std::ostream & | operator<< (std::ostream &o, PrinterRect const &r)
| operator <<

## Detailed Description

the AppleŠ rectangle : Rect

## Member Function Documentation

## ◆ pos()

MWAWVec2i libmwaw::PrinterRect::pos | ( | int | i | ) | const
| inline

returns the position ( 0: leftTop, 1:rightBottom )

Referenced by BeagleWksBMParser::readPrintInfo(), BeagleWksDBParser::readPrintInfo(), BeagleWksDRParser::readPrintInfo(), BeagleWksParser::readPrintInfo(), BeagleWksSSParser::readPrintInfo(), ClarisDrawParser::readPrintInfo(), ClarisWksDocument::readPrintInfo(), CricketDrawParser::readPrintInfo(), MacDraft5Parser::readPrintInfo(), MacDraftParser::readPrintInfo(), MacDrawParser::readPrintInfo(), MacDrawProParser::readPrintInfo(), MacWrtParser::readPrintInfo(), MacWrtProParser::readPrintInfo(), MouseWrtParser::readPrintInfo(), ReadySetGoParser::readPrintInfo(), ScoopParser::readPrintInfo(), ScriptWriterParser::readPrintInfo(), StudentWritingCParser::readPrintInfo(), SuperPaintParser::readPrintInfo(), WingzParser::readPrintInfo(), WriterPlsParser::readPrintInfo(), FullWrtParser::readPrintInfo(), HanMacWrdKParser::readPrintInfo(), WordMakerParser::readPrintInfo(), MarinerWrtParser::readPrintInfo(), MsWrdParser::readPrintInfo(), RagTimeParser::readPrintInfo(), ActaParser::readPrintInfo(), GreatWksDocument::readPrintInfo(), HanMacWrdJParser::readPrintInfo(), LightWayTxtParser::readPrintInfo(), MindWrtParser::readPrintInfo(), MoreParser::readPrintInfo(), NisusWrtParser::readPrintInfo(), StyleParser::readPrintInfo(), CanvasParser::readPrintInfo(), and WriteNowParser::readPrintInfo().

## ◆ read()

bool libmwaw::PrinterRect::read | ( | MWAWInputStreamPtr | input,
|  | MWAWVec2i const & | res
| ) |  |

read value in a file, knowing the resolution

Referenced by libmwaw::PrinterRectResolution::read().

## ◆ size()

MWAWVec2i libmwaw::PrinterRect::size | ( |  | ) | const
| inline

returns the size

Referenced by BeagleWksBMParser::readPrintInfo(), BeagleWksDBParser::readPrintInfo(), BeagleWksDRParser::readPrintInfo(), BeagleWksParser::readPrintInfo(), BeagleWksSSParser::readPrintInfo(), ClarisDrawParser::readPrintInfo(), ClarisWksDocument::readPrintInfo(), CricketDrawParser::readPrintInfo(), MacDraft5Parser::readPrintInfo(), MacDraftParser::readPrintInfo(), MacDrawParser::readPrintInfo(), MacDrawProParser::readPrintInfo(), MacWrtParser::readPrintInfo(), MacWrtProParser::readPrintInfo(), MouseWrtParser::readPrintInfo(), MsWksDocument::readPrintInfo(), ReadySetGoParser::readPrintInfo(), ScoopParser::readPrintInfo(), ScriptWriterParser::readPrintInfo(), StudentWritingCParser::readPrintInfo(), SuperPaintParser::readPrintInfo(), WingzParser::readPrintInfo(), WriterPlsParser::readPrintInfo(), FullWrtParser::readPrintInfo(), HanMacWrdKParser::readPrintInfo(), WordMakerParser::readPrintInfo(), MarinerWrtParser::readPrintInfo(), MsWrdParser::readPrintInfo(), RagTimeParser::readPrintInfo(), ActaParser::readPrintInfo(), GreatWksDocument::readPrintInfo(), HanMacWrdJParser::readPrintInfo(), LightWayTxtParser::readPrintInfo(), MindWrtParser::readPrintInfo(), MoreParser::readPrintInfo(), NisusWrtParser::readPrintInfo(), PowerPoint1Parser::readPrintInfo(), PowerPoint3Parser::readPrintInfo(), StyleParser::readPrintInfo(), CanvasParser::readPrintInfo(), WriteNowParser::readPrintInfo(), and MsWks4Zone::readPRNT().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | PrinterRect const & | r
| ) |  |
| friend

operator <<

## Member Data Documentation

## ◆ m_pos

MWAWVec2i libmwaw::PrinterRect::m_pos[2]
| protected

the LT and RB positions

Referenced by pos(), read(), and size().

The documentation for this struct was generated from the following files:

- MWAWPrinter.hxx
- MWAWPrinter.cxx